
/// "memories.h"

/// "WARNING"
// **************************************************************************
// **************************************************************************
/*
                      SINGLE MODE OPTICAL FIBER COUPLING

     This program was thinked and realised by Xavier Outhier at the 
   Czech Thechnical University of Prague (Czech Republic) at the Faculty
   of Nuclear Physics in the department of Physical Electronics.

      This program was created in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

     Please contact me when you use it for your own and give me your
   impression about it (facility of use, bugs,...). Here is my e-mail
                      d2set@multimania.com
	  (precise in the subject or body of message to Xavier Outhier)
	      You can also visit the web site of D2SET association
		          http://www.multimania.com/d2set/


                                                Prague, 29th May 1997

                                                Xavier Outhier

*/
// **************************************************************************
// **************************************************************************
//f

/*************************************************************************/
//ce
//ce  NAME OF FILE            : memories.h
//ce  VERSION                 : 0.4
//ce  DATE OF CREATION        : 02/06/1997 (Xavier)
//ce  LAST MODIFICATION ON    : 25/07/1997 (Xavier)
//ce  LAST CORRECTION ON      :
//ce  COMPATIBILITY           : 1.0
//ce  STAGE OF VERIFICATION   : fonctionnal
//ce  DESCRIPTION OF THE FILE : Contains declaration of functions of file
//ce   log_offset.c
//ce
/*************************************************************************/

/*************************************************************************/
//cm
//cm  List  of modifications :
//cm
//cm   v0.1, 16/06/1997, Xavier:
//cm    # Rajout de field_aberr_alloc
//cm    # Rajout de field_aberr_free
//cm
//cm   v0.2, 17/06/1997, Xavier:
//cm    # Rajout de tmp_fields_alloc
//cm    # Rajout de tmp_field_free
//cm
//cm   v0.3, 08/07/1997, Xavier:
//cm    # Add of matrixalloc
//cm
//cm   v0.4, 25/07/1997, Xavier:
//cm    # Suppression of useless declarations
//cm
/*************************************************************************/

/*************************************************************************/
//cc
//cc  List  of corrections :
//cc
/*************************************************************************/

/// "Declarations"
void** matrixalloc(size_t m,size_t n,size_t elemSize);

void field_aberr_alloc(int n_x, int n_y);
void field_aberr_free(int n_x, int n_y);

//f

/*************************************************************************/
//cl
//cl  End of file : memories.h
//cl
/*************************************************************************/


//f


